Domande con tag 'package-management'

4
risposte

apt-get aggiornamento solo per un repository specifico

Quando aggiungo un PPA e voglio installare parte del suo contenuto, è piuttosto fastidioso aggiornare di nuovo tutto il mio elenco apt usando apt-get update . È invece possibile sincronizzare solo il contenuto di un determinato repository?...
posta 11.10.2011 - 11:42
12
risposte

Come impedire l'aggiornamento di un pacchetto specifico?

A causa di bug # 693758 vorrei impedire apt-get upgrade e Update Manager dall'aggiornamento del pacchetto "libgtk2.0-0". Come può essere raggiunto?     
posta 23.12.2010 - 18:29
6
risposte

Come disinstallare un pacchetto .deb?

Supponiamo di scaricare un pacchetto .deb da un sito Web e installarlo. (Suppongo che quando faccio doppio clic sul file .deb, il pacchetto sia installato tramite una GUI che si interfaccia con dpkg giusto?) Come posso disinstallarlo?     
posta 19.01.2011 - 01:13
11
risposte

Perché non posso aggiornare le applicazioni senza aggiornare l'intero sistema operativo?

In Ubuntu, una volta rilasciata una versione, il software che è stato installato riceve solo gli aggiornamenti di sicurezza. In Windows, posso ottenere nuove versioni di programmi con nuove funzionalità. Come può Windows fare questo e perché non...
posta 14.01.2012 - 10:58
4
risposte

Come posso controllare l'elenco delle dipendenze per un pacchetto deb

Come posso controllare l'elenco delle dipendenze per un pacchetto deb. Sto usando Ubuntu 11.10 e ho eseguito il backup di tutti i pacchetti deb da var/cache/apt/archives . Voglio formattare il mio pc e reinstallare solo le applicazioni selezio...
posta 19.11.2011 - 08:55
11
risposte

Come installare e gestire gli RPM?

Ho il desiderio ardente di installare RPM sulla mia installazione di Ubuntu - è possibile? Posso usare Yum - o un altro strumento di gestione dei pacchetti RPM?     
posta 23.08.2010 - 23:46
7
risposte

Ottenere + installare gcc / g ++ 4.9 su Ubuntu? [duplicare]

Come installo l'ultima versione di gcc e g ++? Sto usando una varietà di funzionalità C ++ 11 e C ++ 1y; è per questo che ho bisogno di questo.     
posta 02.03.2014 - 04:05
4
risposte

Richiede l'installazione di pacchetti non attendibili?

Ho provato ad installare VLC Player ieri, e ho ricevuto l'errore Requires installation of untrusted packages . Ho cercato ore per una soluzione a questo problema, e alla fine è arrivato un suggerimento che diceva di cambiare server per il down...
posta 04.09.2012 - 23:19
4
risposte

Come configurare e utilizzare un ambiente python virtuale in Ubuntu?

Gli ambienti virtuali Python vengono utilizzati per creare ambienti python isolati per evitare conflitti di dipendenza e di versione e anche indirettamente occuparsi dei problemi di autorizzazione. Ma qual è il modo più semplice per configurarlo...
posta 18.01.2013 - 15:23
8
risposte

Come posso dire, dalla riga di comando, se la macchina richiede un riavvio?

Quando installi determinati aggiornamenti (ad esempio un nuovo kernel) in Ubuntu Desktop, ottieni un'indicazione che è richiesto il riavvio (in Lucid, l'icona di logout diventa rossa). Come posso controllare, dalla riga di comando, se un ser...
posta 28.07.2010 - 23:49